Delete Widget
DELETEhttps://api.confident-ai.com/v1/dashboards/{dashboardId}/widgets/{widgetId}
Detaches a widget from a dashboard. The widget is hard-deleted only when it is no longer attached to any other dashboard.
curl -X DELETE "https://api.confident-ai.com/v1/dashboards/{dashboardId}/widgets/{widgetId}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"id": "WIDGET-ID"
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
dashboardIdstringRequiredThe id of the dashboard.
widgetIdstringRequiredThe id of the widget.
Response
The id of the affected widget.
successbooleanIndicates if the request was successful.
dataobjectThe id of the affected dashboard or widget.
Show 1 propertyHide 1 property
idstringThe id of the affected dashboard or widget.
deprecatedbooleanIndicates if this endpoint is deprecated.